Author Topic: Calling ACET-UI-Status to close  (Read 1612 times)

0 Members and 1 Guest are viewing this topic.

MSTG007

  • Gator
  • Posts: 2601
  • I can't remeber what I already asked! I need help!
Calling ACET-UI-Status to close
« on: December 13, 2017, 07:38:25 AM »
Just messing around with this.

Code: [Select]
(acet-ui-status "Attach XREFs\nXREF1  XREF2\nXREF3" "Do the following:")
Is there a way to close this modeless window?
Civil3D 2020

PKENEWELL

  • Bull Frog
  • Posts: 317
Re: Calling ACET-UI-Status to close
« Reply #1 on: December 13, 2017, 01:08:12 PM »
Just call (acet-ui-status) like shown with no arguments and it will close the box.
"When you are asked if you can do a job, tell 'em, 'Certainly I can!' Then get busy and find out how to do it." - Theodore Roosevelt

MSTG007

  • Gator
  • Posts: 2601
  • I can't remeber what I already asked! I need help!
Re: Calling ACET-UI-Status to close
« Reply #2 on: December 13, 2017, 01:13:25 PM »
Any way to control the location it pops up? If not, not a big deal. Sometimes I call the crew command and it’s in the back so I can’t see the box lol. Thank you for sharing. Helps a lot.
Civil3D 2020

MSTG007

  • Gator
  • Posts: 2601
  • I can't remeber what I already asked! I need help!
Re: Calling ACET-UI-Status to close
« Reply #3 on: December 14, 2017, 08:46:10 AM »
Is there a way I could pause a routine to have the user slide this box to the right so they can see it, then continue with the rest of the routine?

Code: [Select]
(defun c:SAMPLE()

;;Currently Popups in the middle of the screen
(acet-ui-status "Move Floating information Popup to the right of your screen" "Move this Box Right.")

;;Looking for a way for the user to drag the box to the right before the rest of the routine runs.
;;(command "._delay" 3000);<--3 seconds delay
(command "_pause")

(acet-ui-status "Attach XREFs 1 & 2" "Title")

(command "-layer" "make" "-XREF" "")

(command "_xattach")

(princ)

); defun

(C:SAMPLE)
Civil3D 2020

PKENEWELL

  • Bull Frog
  • Posts: 317
Re: Calling ACET-UI-Status to close
« Reply #4 on: December 14, 2017, 11:57:04 AM »
I am not aware of any method to move the starting position of the Status box. It will remember it's last position however in the same session as far as I can tell.

Personally I would just note to users that they can move this status box anyplace that's convenient for them.
"When you are asked if you can do a job, tell 'em, 'Certainly I can!' Then get busy and find out how to do it." - Theodore Roosevelt

MSTG007

  • Gator
  • Posts: 2601
  • I can't remeber what I already asked! I need help!
Re: Calling ACET-UI-Status to close
« Reply #5 on: December 14, 2017, 11:57:42 AM »
Thought I would share my work around...


Code: [Select]
(defun c:SAMPLE()

(acet-ui-status "Move Floating information Popup to the right of your screen.\nOnce Moved Click Once in Modelspace." "Move this Box Right.")

(command "_.point")
(while (= 1 (logand 1 (getvar 'CMDACTIVE))) (command pause))

(acet-ui-status "Attach XREFs 1 & 2" "Title")

(command "erase" (ssget "x" '((0 . "point"))) "")

(command "-layer" "make" "-XREF" "")

(command "_xattach")

(acet-ui-status)

(princ)

); defun

(C:SAMPLE)
Civil3D 2020

PKENEWELL

  • Bull Frog
  • Posts: 317
Re: Calling ACET-UI-Status to close
« Reply #6 on: December 14, 2017, 12:07:19 PM »
Instead of "(command "erase" (ssget "x" '((0 . "point"))) "")", it would be better to use "last" in the command to remove the last entity. What if the user has other points in the drawing that they want to retain?
"When you are asked if you can do a job, tell 'em, 'Certainly I can!' Then get busy and find out how to do it." - Theodore Roosevelt

MSTG007

  • Gator
  • Posts: 2601
  • I can't remeber what I already asked! I need help!
Re: Calling ACET-UI-Status to close
« Reply #7 on: December 14, 2017, 12:08:39 PM »
ah.... yes. Thank you. But it does work.
Civil3D 2020